%global momorel 2

Name:           perl-Crypt-OpenSSL-RSA
Version:        0.26
Release:        %{momorel}m%{?dist}
Summary:        RSA encoding and decoding, using the openSSL libraries
License:        "Distributable, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-OpenSSL-RSA/
Source0:	http://www.cpan.org/authors/id/I/IR/IROBERTS/Crypt-OpenSSL-RSA-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-Crypt-OpenSSL-Random
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  openssl-devel >= 1.0.0
Requires:       perl-Crypt-OpenSSL-Random
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::OpenSSL::RSA provides the ability to RSA encrypt strings which are
somewhat shorter than the block size of a key. It also allows for
decryption, signatures and signature verification.

%prep
%setup -q -n Crypt-OpenSSL-RSA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*/*/*
%{perl_vendorarch}/Crypt/*/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.26-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.26-1m)
- update to 0.26

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-11m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-10m)
- rebuild against perl-5.12.0

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-9m)
- rebuild against openssl-1.0.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-7m)
- rebuild against perl-5.10.1

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-6m)
- rebuild against openssl-0.9.8k

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.25-5m)
- rebuild against rpm-4.6

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-4m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.25-3m)
- rebuild against gcc43

* Mon Jul 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.25-2m)
- fix file conflicts

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.25-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
